/*
**	FILE:			FtpMain.cpp
**	AUTHOR:			Matthew Allen
**	DATE:			7/9/99
**	DESCRIPTION:	i.Ftp entry point
**
**	Copyright (C) 1999, Matthew Allen
**		fret@memecode.com
*/

#include "Ftp.h"
#include "IHttp.h"

int LgiMain(OsAppArguments &AppArgs)
{
	printf("i.Ftp v%.2f\n", VER);

	App *a = NEW(App("application/x-i.Ftp", AppArgs));
	if (a)
	{
		if (a->IsOk())
		{
			NEW(AppWnd);
			a->Run();
		}
		DeleteObj(a);
	}

	return 0;
}

