#ifndef __HTTP_DLG_H
#define __HTTP_DLG_H

#define OPT_HttpUrl			"HttpUrl"
#define OPT_HttpFile		"HttpFile"
#define OPT_HttpProxyOn		"ProxyOn"
#define OPT_HttpProxy		"ProxyServer"
#define OPT_HttpProxyUser	"ProxyUser"
#define OPT_HttpProxyPass	"ProxyPass"

class HttpDlg : public GDialog
{
	AppWnd *Parent;

	void SetResumable(bool r);
	void SetRollback(bool r);

public:
	char *Url;
	char *File;
	char *Proxy;
	char *UserName;
	char *Password;
	int StartFromByte;
	bool NoCache;

	HttpDlg(AppWnd *parent, char *Default);
	~HttpDlg();

	void OnCreate();
	int OnNotify(GView *Ctrl, int Flags);
};

class HttpThread : public GThread
{
	AppWnd *Parent;
	Progress *Prog;
	GLogPanel *LogPanel;
	HttpDlg *Dlg;

public:
	HttpThread(AppWnd *parent, HttpDlg *dlg);
	~HttpThread();
	int Main();
};

#endif
