#include "winsock2.h"
#include "libssh/libssh.h"
#include "assert.h"
#include "Shlobj.h"
#include "windows.h"

char *getpass(char *buf)
{
	assert(0);
	return 0;
}

passwd pw;
passwd *getpwent(void)
{
	char s[256];
	DWORD len;

	memset(&pw, 0, sizeof(passwd));

	len = sizeof(s);
	if (GetUserName(s, &len))
	{
		pw.pw_name = strdup(s);
	}

	if (SHGetSpecialFolderPath(0, s, CSIDL_APPDATA, 0))
	{
		pw.pw_dir = strdup(s);
	}

	return &pw;
}

void endpwent()
{
	if (pw.pw_dir)
	{
		free(pw.pw_dir);
	}
	if (pw.pw_name)
	{
		free(pw.pw_name);
	}
	memset(&pw, 0, sizeof(passwd));
}

int access(const char *pathname, int mode)
{
	int Status = 0;

	if (pathname)
	{
		int Attr;
		char *d;
		while (d = strchr(pathname, '/'))
		{
			*d = '\\';
		}

		Attr = GetFileAttributes(pathname);
		if (Attr != -1)
		{
			if (mode & R_OK)
			{
				Status = 1;
			}
		}
	}

	return Status;
}

char *optarg = 0;
int optind = 0;
int opterr = 0;
int optopt = 0;

int getuid()
{
	return 0;
}

int geteuid()
{
	return 0;
}

int getopt(int argc, char * const argv[], const char *optstring)
{
	assert(0);
	return 0;
}

char *hstrerror(int err)
{
	static char Buf[256];
	char *s = Buf;

	Buf[0] = 0;
	FormatMessageA(	// FORMAT_MESSAGE_ALLOCATE_BUFFER | 
					FORMAT_MESSAGE_IGNORE_INSERTS |
					FORMAT_MESSAGE_FROM_SYSTEM,
					NULL, 
					err,
					MAKELANGID( LANG_NEUTRAL, SUBLANG_DEFAULT ),
					(LPTSTR)Buf, 
					sizeof(Buf), 
					NULL);

	s = Buf + strlen(Buf);
	while (s > Buf && strchr(" \t\r\n", s[-1]))
	{
		s--;
		*s = 0;
	}

	return Buf[0] ? Buf : 0;
}

int network_read(int fd, void *buf, size_t count)
{
	return recv(fd, buf, count, 0);
}

int network_write(int fd, void *buf, size_t count)
{
	return send(fd, buf, count, 0);
}
